<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:15 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.smx.iface.BigIntegerRationalMatrix
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.smx.iface.BigIntegerRationalMatrix";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/iface/class-use/BigIntegerRationalMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigIntegerRationalMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.smx.iface.BigIntegerRationalMatrix</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.compress"><B>ch.javasoft.metabolic.compress</B></A></TD>
<TD>The <tt>compress</tt> package and subpackages contain classes implementing 
compression strategies and consistency validation for metabolic networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.column"><B>ch.javasoft.metabolic.efm.column</B></A></TD>
<TD>The <tt>column</tt> subpackage defines a 
<A HREF="../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>column</CODE></A> interface representing
an (intermediary) elementary mode; implementations for different number types 
are available.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.util"><B>ch.javasoft.metabolic.efm.util</B></A></TD>
<TD>The <tt>util</tt> package contains utility and helper classes for different
aspects and parts of the <A HREF="../../../../../ch/javasoft/metabolic/efm/package-summary.html"><CODE>efm</CODE></A> packages, that 
is, for the computation of elementary modes (EFMs) for 
<A HREF="../../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.impl"><B>ch.javasoft.metabolic.impl</B></A></TD>
<TD>The <tt>impl</tt> subpackage contains implementations for the interfaces of the
<A HREF="../../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolite</CODE></A> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.iface"><B>ch.javasoft.smx.iface</B></A></TD>
<TD>The <tt>smx.iface</tt> package contains interfaces representing matrices for
different number types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.impl"><B>ch.javasoft.smx.impl</B></A></TD>
<TD>The <tt>smx.impl</tt> package contains classes implementing the interfaces
defined in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html"><CODE>iface</CODE></A> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.ops"><B>ch.javasoft.smx.ops</B></A></TD>
<TD>The <tt>smx.ops</tt> package contains classes for mathematical operations with
matrices, such as <A HREF="../../../../../ch/javasoft/smx/ops/Neg.html" title="class in ch.javasoft.smx.ops"><CODE>negation</CODE></A>,
<A HREF="../../../../../ch/javasoft/smx/ops/Transpose.html" title="class in ch.javasoft.smx.ops"><CODE>transposition</CODE></A>,
<A HREF="../../../../../ch/javasoft/smx/ops/Mul.html" title="class in ch.javasoft.smx.ops"><CODE>matrix multiplication</CODE></A> or different linear 
algebra methods based on <A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html" title="class in ch.javasoft.smx.ops"><CODE>Gaussian elimination</CODE></A>.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.compress"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/metabolic/compress/package-summary.html">ch.javasoft.metabolic.compress</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../ch/javasoft/metabolic/compress/package-summary.html">ch.javasoft.metabolic.compress</A> declared as <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>StoichMatrixCompressor.CompressionRecord.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressor.CompressionRecord.html#cmp">cmp</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DuplicateGeneCompressor.CompressionRecord.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compress/DuplicateGeneCompressor.CompressionRecord.html#dupelim">dupelim</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DuplicateGeneCompressor.CompressionRecord.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compress/DuplicateGeneCompressor.CompressionRecord.html#dupfree">dupfree</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>StoichMatrixCompressor.CompressionRecord.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressor.CompressionRecord.html#post">post</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>StoichMatrixCompressor.CompressionRecord.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressor.CompressionRecord.html#pre">pre</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/metabolic/compress/package-summary.html">ch.javasoft.metabolic.compress</A> with parameters of type <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/compress/DuplicateGeneCompressor.CompressionRecord.html#DuplicateGeneCompressor.CompressionRecord(ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.util.IntArray[], boolean[], java.lang.String[], java.lang.String[])">DuplicateGeneCompressor.CompressionRecord</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;stoich,
                                                                                   <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;dupelim,
                                                                                   <A HREF="../../../../../ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util">IntArray</A>[]&nbsp;dupgroups,
                                                                                   boolean[]&nbsp;reversible,
                                                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;metaNames,
                                                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;reacNames)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressedMetabolicNetwork.html#StoichMatrixCompressedMetabolicNetwork(ch.javasoft.smx.iface.BigIntegerRationalMatrix, boolean[], ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix)">StoichMatrixCompressedMetabolicNetwork</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;stoichOrig,
                                                                             boolean[]&nbsp;origReversible,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;pre,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;post,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;compressedStoich)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressedMetabolicNetwork.html#StoichMatrixCompressedMetabolicNetwork(ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix)">StoichMatrixCompressedMetabolicNetwork</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;original,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;pre,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;post,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;compressedStoich)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressedMetabolicNetwork.html#StoichMatrixCompressedMetabolicNetwork(java.lang.String[], java.lang.String[], boolean[], ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix)">StoichMatrixCompressedMetabolicNetwork</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;origMetaboliteNames,
                                                                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;origReactionNames,
                                                                             boolean[]&nbsp;origReversible,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;pre,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;origStoich,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;post,
                                                                             <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;compressedStoich)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressor.CompressionRecord.html#StoichMatrixCompressor.CompressionRecord(ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix, ch.javasoft.smx.iface.BigIntegerRationalMatrix, boolean[])">StoichMatrixCompressor.CompressionRecord</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;pre,
                                                                                 <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;stoich,
                                                                                 <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;post,
                                                                                 boolean[]&nbsp;reversible)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.column"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A> that return <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>VarIntMatrix.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/column/VarIntMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A></B>(int&nbsp;rowStart,
                                                       int&nbsp;rowEnd,
                                                       int&nbsp;colStart,
                                                       int&nbsp;colEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>VarIntMatrix.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/column/VarIntMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.util"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/metabolic/efm/util/package-summary.html">ch.javasoft.metabolic.efm.util</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/efm/util/package-summary.html">ch.javasoft.metabolic.efm.util</A> that return <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>MatrixUtil.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/util/MatrixUtil.html#convertToBigIntegerRationalMatrix(ch.javasoft.smx.iface.ReadableMatrix, ch.javasoft.util.numeric.Zero, boolean)">convertToBigIntegerRationalMatrix</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&nbsp;mx,
                                                                   <A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero,
                                                                   boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the given readable matrix into a <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><CODE>BigIntegerRationalMatrix</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> with parameters of type <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/impl/FractionNumberStoichMetabolicNetwork.html#FractionNumberStoichMetabolicNetwork(ch.javasoft.smx.iface.BigIntegerRationalMatrix, boolean[])">FractionNumberStoichMetabolicNetwork</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;stoich,
                                                                         boolean[]&nbsp;reversible)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/impl/FractionNumberStoichMetabolicNetwork.html#FractionNumberStoichMetabolicNetwork(java.lang.String[], java.lang.String[], ch.javasoft.smx.iface.BigIntegerRationalMatrix, boolean[])">FractionNumberStoichMetabolicNetwork</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;metaboliteNames,
                                                                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;reactionNames,
                                                                         <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;stoich,
                                                                         boolean[]&nbsp;reversible)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.iface"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A> that return <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>BigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>BigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html#newInstance(ch.javasoft.math.BigFraction[][], boolean)">newInstance</A></B>(<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[][]&nbsp;data,
                       boolean&nbsp;rowsInDim1)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>BigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html#newInstance(int, int)">newInstance</A></B>(int&nbsp;rows,
                       int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>ReadableBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A></B>(int&nbsp;rowStart,
                                                       int&nbsp;rowEnd,
                                                       int&nbsp;colStart,
                                                       int&nbsp;colEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>ReadableBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>BigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html#transpose()">transpose</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A> that implement <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultBigIntegerVector</code> ...</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A> that return <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultLongMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultLongMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A></B>(int&nbsp;rowStart,
                                                       int&nbsp;rowEnd,
                                                       int&nbsp;colStart,
                                                       int&nbsp;colEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultIntRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntRationalMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A></B>(int&nbsp;rowStart,
                                                       int&nbsp;rowEnd,
                                                       int&nbsp;colStart,
                                                       int&nbsp;colEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultIntMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A></B>(int&nbsp;rowStart,
                                                       int&nbsp;rowEnd,
                                                       int&nbsp;colStart,
                                                       int&nbsp;colEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A></B>(int&nbsp;rowStart,
                                                       int&nbsp;rowEnd,
                                                       int&nbsp;colStart,
                                                       int&nbsp;colEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A></B>(int&nbsp;rowStart,
                                                       int&nbsp;rowEnd,
                                                       int&nbsp;colStart,
                                                       int&nbsp;colEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultLongMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultLongMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultIntRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntRationalMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultIntMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toWritableMatrix(boolean)">toWritableMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.ops"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A> that return <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>Gauss.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html#invert(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">invert</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Computes the inverse of a square matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>Gauss.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html#invertMaximalSubmatrix(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int[][], int[][])">invertMaximalSubmatrix</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx,
                                             int[][]&nbsp;ptrRowmap,
                                             int[][]&nbsp;ptrColmap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Computes the inverse of a submatrix of a non-square or singular square 
 matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>Gauss.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html#nullspace(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">nullspace</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Computes a basis for the nullspace using gauss with full pivoting.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>Transpose.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Transpose.html#transpose(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">transpose</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;src)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A> with parameters of type <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>Gauss.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html#rowEchelon(ch.javasoft.smx.iface.BigIntegerRationalMatrix, boolean, int[], int[])">rowEchelon</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>&nbsp;mx,
                     boolean&nbsp;reduced,
                     int[]&nbsp;rowmap,
                     int[]&nbsp;colmap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Row echelon form using gauss with full pivoting.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/iface/class-use/BigIntegerRationalMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigIntegerRationalMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
